﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Windows.Forms;

namespace GuYu.Todo.Forms
{
    static class Program
    {
        /// <summary>
        /// 应用程序的主入口点。
        /// </summary>
        [STAThread]
        static void Main()
        {
            Application.EnableVisualStyles();
            Application.SetCompatibleTextRenderingDefault(false);
            Application.ThreadException += new System.Threading.ThreadExceptionEventHandler(Application_ThreadException);
            Application.Run(new FormMain());
        }

        static void Application_ThreadException(object sender, System.Threading.ThreadExceptionEventArgs e)
        {
            FormShowException form = new FormShowException();
            form.StartPosition = FormStartPosition.CenterParent;
            form.ShowDialog(e.Exception);
        }
    }
}
